You are currently viewing Cum rezolvi eroarea „The following packages have been kept back:” din timpul actualizării Linux?
linux

Cum rezolvi eroarea „The following packages have been kept back:” din timpul actualizării Linux?

A trecut circa 1 an jumătate de când mi-am mutat blogul pe un Raspberry Pi și de atunci lovindu-mă de probleme mai mici sau mai mari, dar care m-au ajutat să învăț din ce în ce mai bine să ”depanez” sistemul de operare Linux.

În urmă cu ceva timp am trecut server-ul care găzduiește blogul pe noua versiune a Ubuntu, și anume 24.04 LTS, versiune ce este încă în stadiu Beta.

Fiind în stadiu Beta, apar frecvent multe modificări, dintre care o bună parte majore. Așa că nu am fost prea surprins să văd că la ultima conectare la server prin SSH am văzut că sunt disponibile peste 300 de actualizări.

Numai că de data asta, în timpul actualizării, m-am lovit de eroare pentru 189 de pachete din cele peste 300:

The following packages have been kept back:

Așadar, pe lângă faptul că nu s-au instalat toate pachetele, serverul a dat și eroare la baza de date pentru că nu se actualizase serverul pentru baza de date.

NU VĂ PANICAȚI!

Chiar dacă în primă fază pare că serverul este compromis, în acest tutorial vă voi arăta cum puteți rezolva problema, fără a fi nevoie să reinstalați totul de la zero.

Ce cauzează eroarea The following packages have been kept back: ?

Eroarea The following packages have been kept back:, apare atunci când dependențele s-au schimbat pe unul dintre pachetele pe care le-ați instalat, astfel încât un pachet nou trebuie să fie instalat pentru a efectua upgradeul

Cum rezolvi eroarea The following packages have been kept back: ?

Dat fiind faptul că prin procesul normal de actualizare anumite pachete nu se pot actualiza din cauza schimbării dependențelor pachetelor, tot ceea ce trebuie să faceți este să reinstalați pe rând pachetele respective cu comanda sudo apt install urmate de pachetele respective.
Această comandă va rezolva noile dependențe și va instala rând pe rând pachetele ce inițial nu puteau fi actualizate.

Lasă un răspuns